12 Replies Latest reply on Jun 19, 2015 2:55 AM by Diana Jordan

    Gatein doesn't install on existing JBoss 7.2.0

    tenzor Newbie

      Dear users, please help me with my issue.

       

      I'm trying to install gatein on existing jboss. The same issue was described there - https://community.jboss.org/thread/224152 . It was helpful topic, but after all steps I have no result! Building and compiling goes without errors, but I still have Jboss without gatein. Nothing happens after installation.

       

       

      Here is a sequence of my actions:

       

      1 step - downloading and building of gatein:

       

      git clone https://github.com/gatein/gatein-portal.git

       

      mvn clean

      mvn install -pl build-config

      cd component

      mvn install -DskipTests

      cd ..

       

      2 step - downloading and unzipping JBoss:

       

      took from this link - https://www.jboss.org/download-manager/content/origin/files/sha256/16/16ea1e0cef29e94c0d795bbc4b4c431dcb14c4d10831dce5ff48194ff4fb2aee/jboss-eap-6.1.0.zip

       

      3 step - installing gatein on JBoss:


      mvn install -Dservers.dir=$SERVERS_DIR/jboss-eap-6.1.0 -Dversion.jboss.as=7.2.0.Final-redhat-8 -Dgatein.dev=eap -Dmaven.test.skip

       

      And that's all... Nothing happens after this step.

       

      Furthermore - when I ran this command first time, I got some errors. System showed message about incorrect path to my jboss. Correct was - gatein-portal/packaging/jboss-as7/pkg/jboss-eap-6.1.0/jboss-eap-6.1.0

       

      What the heck??

       

      Please help me with this issue. I'm suffering within a week with this task

        • 1. Re: Gatein doesn't install on existing JBoss 7.2.0
          Marko Strukelj Master

          Hi, Vladimir

           

          I followed the procedure you describe, and it basically works fine for me. You may have the problem with step 2 - properly unzipping downloaded archive into proper locations. Try these more specific instructions:

           

           

          Building with JBoss EAP 6.1.0.Final

          ==================================

           

          Open: http://www.jboss.org/jbossas/downloads/

           

          Download 6.1.0 Final - EA built from AS7, and EAP Maven Repository.

           

           

          Create a directory jboss-eap-6.1.0.Final under your $SERVERS_DIR:

           

          mkdir $SERVERS_DIR/jboss-eap-6.1.0.Final

           

          Unzip the contents of jboss-eap-6.1.0.zip into this new directory, so that you get a subdirectory called jboss-eap-6.1

           

          Unzip the contents of jboss-eap-6.1.0-maven-repository.zip into your $HOME/.m2/repository overwriting existing directories.

           

          You’re set to build and package GateIn:

           

          mvn clean

          mvn install -pl build-config

          cd component

          mvn install -DskipTests

          cd ..

          mvn install -Dservers.dir=$SERVERS_DIR/jboss-eap-6.1.0.Final -Dversion.jboss.as=7.2.0.Final-redhat-8 -Dgatein.dev=eap -Dmaven.test.skip

          1 of 1 people found this helpful
          • 2. Re: Gatein doesn't install on existing JBoss 7.2.0
            tenzor Newbie

            Dear Marco, thank you so much for your responce!

             

            I did only one mistake, while I was doing the last step.

             

            Indeed, builded JBoss with Gatein is located there - gatein-portal/packaging/jboss-as7/pkg/target/jboss

             

            That was the thing that I looked for.

            • 3. Re: Gatein doesn't install on existing JBoss 7.2.0
              Rahul Popli Newbie

              I'm having an issue related to this....my team has asked me to bundle gatein with JBoss AS 7.2.0.Final "Janus"....They have a zip instance of jboss that they want me to use. I did the maven build and grabbed the instance in gatein-portal/packaging/jboss-as7/pkg/target/. All tests in maven came back successful and I started up the new instance.

               

              When I started the new instance it halted and gave me the following exception stack trace.

               

              16:25:18,673 ERROR [org.jboss.as.controller.management-operation] (Controller Boot Thread) JBAS014612: Operation ("parallel-extension-add") failed - address: ([]): java.lang.RuntimeException: JBAS014670: Failed initializing module org.gatein

                        at org.jboss.as.controller.extension.ParallelExtensionAddHandler$1.execute(ParallelExtensionAddHandler.java:99) [jboss-as-controller-7.2.0.Final.jar:7.2.0.Final]

                        at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:440) [jboss-as-controller-7.2.0.Final.jar:7.2.0.Final]

                        at org.jboss.as.controller.AbstractOperationContext.doCompleteStep(AbstractOperationContext.java:322) [jboss-as-controller-7.2.0.Final.jar:7.2.0.Final]

                        at org.jboss.as.controller.AbstractOperationContext.completeStepInternal(AbstractOperationContext.java:229) [jboss-as-controller-7.2.0.Final.jar:7.2.0.Final]

                        at org.jboss.as.controller.AbstractOperationContext.executeOperation(AbstractOperationContext.java:224) [jboss-as-controller-7.2.0.Final.jar:7.2.0.Final]

                        at org.jboss.as.controller.ModelControllerImpl.boot(ModelControllerImpl.java:172) [jboss-as-controller-7.2.0.Final.jar:7.2.0.Final]

                        at org.jboss.as.controller.AbstractControllerService.boot(AbstractControllerService.java:225) [jboss-as-controller-7.2.0.Final.jar:7.2.0.Final]

                        at org.jboss.as.server.ServerService.boot(ServerService.java:333) [jboss-as-server-7.2.0.Final.jar:7.2.0.Final]

                        at org.jboss.as.server.ServerService.boot(ServerService.java:308) [jboss-as-server-7.2.0.Final.jar:7.2.0.Final]

                        at org.jboss.as.controller.AbstractControllerService$1.run(AbstractControllerService.java:188) [jboss-as-controller-7.2.0.Final.jar:7.2.0.Final]

                        at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_33]

              Caused by: java.util.concurrent.ExecutionException: java.lang.NoClassDefFoundError: org/jboss/as/controller/descriptions/common/CommonProviders

                        at java.util.concurrent.FutureTask$Sync.innerGet(FutureTask.java:222) [rt.jar:1.6.0_33]

                        at java.util.concurrent.FutureTask.get(FutureTask.java:83) [rt.jar:1.6.0_33]

                        at org.jboss.as.controller.extension.ParallelExtensionAddHandler$1.execute(ParallelExtensionAddHandler.java:91) [jboss-as-controller-7.2.0.Final.jar:7.2.0.Final]

                        ... 10 more

              Caused by: java.lang.NoClassDefFoundError: org/jboss/as/controller/descriptions/common/CommonProviders

                        at org.gatein.integration.jboss.as7.portal.PortalResourceRegistrar.registerPortalResources(PortalResourceRegistrar.java:63)

                        at org.gatein.integration.jboss.as7.GateInExtension.initialize(GateInExtension.java:97)

                        at org.jboss.as.controller.extension.ExtensionAddHandler.initializeExtension(ExtensionAddHandler.java:97) [jboss-as-controller-7.2.0.Final.jar:7.2.0.Final]

                        at org.jboss.as.controller.extension.ParallelExtensionAddHandler$ExtensionInitializeTask.call(ParallelExtensionAddHandler.java:127) [jboss-as-controller-7.2.0.Final.jar:7.2.0.Final]

                        at org.jboss.as.controller.extension.ParallelExtensionAddHandler$ExtensionInitializeTask.call(ParallelExtensionAddHandler.java:113) [jboss-as-controller-7.2.0.Final.jar:7.2.0.Final]

                        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303) [rt.jar:1.6.0_33]

                        at java.util.concurrent.FutureTask.run(FutureTask.java:138) [rt.jar:1.6.0_33]

                        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) [rt.jar:1.6.0_33]

                        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) [rt.jar:1.6.0_33]

                        at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_33]

                        at org.jboss.threads.JBossThread.run(JBossThread.java:122) [jboss-threads-2.1.0.Final.jar:2.1.0.Final]

              Caused by: java.lang.ClassNotFoundException: org.jboss.as.controller.descriptions.common.CommonProviders from [Module "org.gatein:main" from local module loader @65b60280 (finder: local module finder @105e55ab (roots: C:\SERVERS\jboss\jboss7.2.Final\jboss-7.2.0-Final-GateIn\modules,C:\SERVERS\jboss\jboss7.2.Final\jboss-7.2.0-Final-GateIn\modules\system\layers\base,C:\SERVERS\jboss\jboss7.2.Final\jboss-7.2.0-Final-GateIn\modules\system\add-ons\gatein))]

                        at org.jboss.modules.ModuleClassLoader.findClass(ModuleClassLoader.java:190) [jboss-modules.jar:1.2.0.CR1]

                        at org.jboss.modules.ConcurrentClassLoader.performLoadClassUnchecked(ConcurrentClassLoader.java:468) [jboss-modules.jar:1.2.0.CR1]

                        at org.jboss.modules.ConcurrentClassLoader.performLoadClassChecked(ConcurrentClassLoader.java:456) [jboss-modules.jar:1.2.0.CR1]

                        at org.jboss.modules.ConcurrentClassLoader.performLoadClassChecked(ConcurrentClassLoader.java:423) [jboss-modules.jar:1.2.0.CR1]

                        at org.jboss.modules.ConcurrentClassLoader.performLoadClass(ConcurrentClassLoader.java:398) [jboss-modules.jar:1.2.0.CR1]

                        at org.jboss.modules.ConcurrentClassLoader.loadClass(ConcurrentClassLoader.java:120) [jboss-modules.jar:1.2.0.CR1]

                        ... 11 more

               

               

              16:25:18,712 FATAL [org.jboss.as.server] (Controller Boot Thread) JBAS015957: Server boot has failed in an unrecoverable manner; exiting. See previous messages for details.

               

               

               

              Has anybody seen this issue? I am limited by using the jboss version that I have....but I don't think that should be an issue as it is jboss 7.2.0 Final.

               

              I used the same instructions as Marko above.

               

               

              Thanks for any help in advance.

              • 4. Re: Gatein doesn't install on existing JBoss 7.2.0
                Rahul Popli Newbie

                On analyzing the issue more...basically I am seeing that the jboss-as-controller-7.2.0.Final.jar that I have in my jboss/gatein instance doesn't have a CommonProviders class. I do see it in the 7.1.3 version of the jar in maven.....so is gatein not supposed to be expecting this class anymore? Or did I package my instance with wrong parameters perhaps?

                 

                The following is the final command i used to package the gatein.

                 

                mvn install -Dservers.dir=C:\SERVERS\jboss-eap-6.1.0.Final -Dversion.jboss.as=7.2.0.Final-redhat-8 -Dgatein.dev=eap -Dmaven.test.skip

                • 5. Re: Gatein doesn't install on existing JBoss 7.2.0
                  Rahul Popli Newbie

                  On final thought....I think that I'm trying to package gatein with a 7.2.0 Final instance using the 6.1.0 EAP Final target....I tried changing that particular jar to a jar that has that class but I end up with the following:

                   

                  17:12:25,972 ERROR [exo.kernel.container.RootContainer] (MSC service thread 1-1) Cannot create the portal container 'portal' . ServletContext: org.apache.catalina.core.ApplicationContextFacade@4341382a: org.picocontainer.PicoIntrospectionException: Failed when calling start on org.exoplatform.services.organization.idm.PicketLinkIDMServiceImpl@6d5665fa

                            at org.exoplatform.container.LifecycleVisitor.traverse(LifecycleVisitor.java:136) [exo.kernel.container-2.4.3-GA.jar:2.4.3-GA]

                            at org.exoplatform.container.LifecycleVisitor.start(LifecycleVisitor.java:170) [exo.kernel.container-2.4.3-GA.jar:2.4.3-GA]

                            at org.exoplatform.container.ConcurrentPicoContainer.start(ConcurrentPicoContainer.java:554) [exo.kernel.container-2.4.3-GA.jar:2.4.3-GA]

                            at org.exoplatform.container.ExoContainer.start(ExoContainer.java:270) [exo.kernel.container-2.4.3-GA.jar:2.4.3-GA]

                            at org.exoplatform.container.PortalContainer.start(PortalContainer.java:679) [exo.kernel.container-2.4.3-GA.jar:2.4.3-GA]

                            at org.exoplatform.container.ExoContainer.start(ExoContainer.java:258) [exo.kernel.container-2.4.3-GA.jar:2.4.3-GA]

                            at org.exoplatform.container.RootContainer.createPortalContainer(RootContainer.java:678) [exo.kernel.container-2.4.3-GA.jar:2.4.3-GA]

                            at org.exoplatform.container.RootContainer.createPortalContainers(RootContainer.java:343) [exo.kernel.container-2.4.3-GA.jar:2.4.3-GA]

                            at org.gatein.integration.jboss.as7.web.StartupService.start(StartupService.java:45)

                            at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1811)

                            at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1746)

                            at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) [rt.jar:1.6.0_33]

                            at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) [rt.jar:1.6.0_33]

                            at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_33]

                  Caused by: java.lang.NoSuchMethodError: org.hibernate.criterion.Restrictions.eq(Ljava/lang/String;Ljava/lang/Object;)Lorg/hibernate/criterion/SimpleExpression;

                            at org.picketlink.idm.impl.store.hibernate.HibernateIdentityStoreImpl.populateRelationshipTypes(HibernateIdentityStoreImpl.java:3010) [picketlink-idm-hibernate-1.4.2.Final.jar:1.4.2.Final]

                            at org.picketlink.idm.impl.store.hibernate.HibernateIdentityStoreImpl.bootstrap(HibernateIdentityStoreImpl.java:241) [picketlink-idm-hibernate-1.4.2.Final.jar:1.4.2.Final]

                            at org.picketlink.idm.impl.configuration.IdentityConfigurationImpl.createRealmMap(IdentityConfigurationImpl.java:194) [picketlink-idm-core-1.4.2.Final.jar:1.4.2.Final]

                            at org.picketlink.idm.impl.configuration.IdentityConfigurationImpl.buildIdentitySessionFactory(IdentityConfigurationImpl.java:149) [picketlink-idm-core-1.4.2.Final.jar:1.4.2.Final]

                            at org.exoplatform.services.organization.idm.PicketLinkIDMServiceImpl.start(PicketLinkIDMServiceImpl.java:186) [exo.portal.component.identity-3.6.1.Final-SNAPSHOT.jar:3.6.1.Final-SNAPSHOT]

                            at sun.reflect.GeneratedMethodAccessor49.invoke(Unknown Source) [:1.6.0_33]

                            at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) [rt.jar:1.6.0_33]

                            at java.lang.reflect.Method.invoke(Method.java:597) [rt.jar:1.6.0_33]

                            at org.exoplatform.container.LifecycleVisitor.traverse(LifecycleVisitor.java:100) [exo.kernel.container-2.4.3-GA.jar:2.4.3-GA]

                   

                   

                  So I think I need a way to properly package gatein with my version of jboss (jboss 7.2.0 Final)....is this currently possible?

                  • 6. Re: Gatein doesn't install on existing JBoss 7.2.0
                    Marko Strukelj Master

                    JBoss AS 7.2.0 Final is in fact not supported by GateIn at the moment. You can read about currently supported versions in:

                     

                    https://github.com/gatein/gatein-portal/blob/master/packaging/jboss-as7/README.txt

                     

                    The versions supported ATM are: 7.1.1.Final, 7.1.3.Final, and JBoss EAP 6.1.0 Final.

                     

                    AS 7.2.0 Final has removed some classes that GateIn subsystem relies on like you discovered - CommonProviders. These were later added back for JBoss EAP releases.

                     

                    We'll have to address this issue for packaging with WildFly as well.

                    • 7. Re: Gatein doesn't install on existing JBoss 7.2.0
                      Rahul Popli Newbie

                      Thanks for the reply Marko

                       

                          I have been able to package EAP 6.1.0 Beta before....does this mean that all EAP 6.1.0 releases are supported? (EAP 6.1.0 Alpha, EAP 6.1.0 Beta.....EAP 6.1.0 Final)? Or just EAP 6.1.0 Final for EAP distributions?

                      • 8. Re: Gatein doesn't install on existing JBoss 7.2.0
                        Marko Strukelj Master

                        EAP 6.1.0 Beta can also be used, not Alpha however as it suffers from the same issue as AS 7.2.0 Final.

                         

                        You can find instructions for packaging with Beta in a previous version of README.txt file:

                         

                        https://github.com/gatein/gatein-portal/blob/bfab17fb7c321bfb75c74cb81253396e9f393ded/packaging/jboss-as7/README.txt

                         

                        But there really is no reason to use EAP 6.1.0 Beta instead of Final as they are available under the same terms of zero-dollar developer subscription.

                        • 9. Re: Gatein doesn't install on existing JBoss 7.2.0
                          Rahul Popli Newbie

                          I know it's a long shot....but is there a way I can modify my jboss 7.2.0 Final/6.1.0 Alpha (add classes to source, add dependencies, etc) so that I could get it packaged with GateIn? I am currently going to compare the sources of 7.2 final and 6.1 EAP final and see if it's not too much (maybe I can make my 7.2 look like a 6.1 EAP final).....but just want to know if this is possible?

                           

                           

                          My group is trying to avoid the EAP versions because of the licensing issues when using this in an internal production system (also trying to avoid 7.1.3 and below because they're quite buggy).

                           

                           

                           

                          Thanks again for all your help!

                          • 10. Re: Gatein doesn't install on existing JBoss 7.2.0
                            tenzor Newbie

                            Hello Rahul!

                             

                            Also please check your artifacts there -

                             

                            /modules/system/layers/base/org/hibernate/main

                             

                            you should use

                             

                            hibernate-core-4.2.0.Final

                            hibernate-entitymanager-4.2.0.Final

                            hibernate-infinispan-4.2.0.Final

                             

                            p.s.

                             

                            you may manually put source files CommonProviders.java, GlobalDescriptions.java & LocalDescriptions.java in your jboss-as-controller-7.2.0.Final.jar-src

                             

                            Put these files in your jboss-as-controller-7.2.0.Final.jar-src.jar/org/jboss/as/controller/descriptions/common, rebuild this artifact and then rebuild your JBoss with this new artifact. That should work.


                            1 of 1 people found this helpful
                            • 11. Re: Gatein doesn't install on existing JBoss 7.2.0
                              Rahul Popli Newbie

                              Perfect....that worked beautifully. I basically replaced the jboss 7.2.0 Final hibernate jars with the newer ones and the jboss-as-controller jars with the extra classes, and re-ran and it worked.

                               

                              If there is time, if somebody can put these instructions on the GateIn readme for building (I can if that's allowed as well)....im sure it will be helpful for many people to get GateIn to work with jboss-7.2.0 Final so that they don't have to worry about the licensing issues for the EAP editions.

                               

                              Thanks again everyone for your help!

                              • 12. Re: Gatein doesn't install on existing JBoss 7.2.0
                                Diana Jordan Newbie

                                Help me with this issue